# GAPIT - GWAS and Genomic-selection in R
# Designed by Zhiwu Zhang
# Written by Zhiwu Zhang, Alex Lipka and Feng Tian 
# Last update: August 10, 2011 

#Step 0: Set directory to load GAPIT source files (this step is omited for using package)
#######################################################################################
library('MASS')
library(multtest)
library(gplots)

setwd("Folder\\snpStats_Example")
#source("GAPIT_Functions_V1.37.r")
#source("GAPIT_CODE_20111101.r")

source("http://www.maizegenetics.net/images/stories/bioinformatics/GAPIT/emma.txt")
#source("http://www.maizegenetics.net/images/stories/bioinformatics/GAPIT/gapit_functions.txt")
#source("GAPIT_Functions_V1.43.r")


#Import GAPIT
source("http://www.maizegenetics.net/images/stories/bioinformatics/GAPIT/gapit_functions.txt")


#Step 1: Set data directory and import files
#######################################################################################
mydataPath="Folder\\snpStats_Example\\"

#Phenotypic Data
myY  <- read.table(paste(mydataPath,"for.example.phenotypic.information.txt",sep=""), head = TRUE)
dim(myY)
head(myY)

###################################################################################################
#For debug only

#source("GAPIT_Functions_V1.26.r")
#colnames(myY)[2] <- "myY_test"

#source("GAPIT_Functions_V1.42.r")
#colnames(myY)[2] <- "myY_GAPIT_v1.40"



#Step 2: Set result directory and run GAPIT  - Do not forget about compression
#######################################################################################
setwd("Folder\\Results_CMLM")


myGAPIT <- GAPIT(
Y=myY,				#This is phenotype data
#G=NULL,				#This is genotype data,set it to NULL with multiple genotype files

file.path=mydataPath,		#The location of genotype files

#GD = myGD,
#GM = myGM,		   

file.GD="for.example.genotypic.informationa",
file.GM="for.example.SNP.location",
file.Ext.GD="txt",
file.Ext.GM="txt",
file.from=1,
file.to=10,
 
                                                                                                       
#KI=my.KI,				#This is kinship data, set it to NULL in case that geneotype files are used for estimation
#CV=my.CV,				#This is the covariate variables of fixed effects, such as population structure
#Z=myZ,				#This is the customized Z ma
#group.from=200,			#Lower bound for number of group
#group.to=200,			#Upper bound for number of group
#group.by=1,				#range between 1 and number of individuals, smaller the finer optimization 
SNP.P3D=TRUE,		#This is the option to use P3D (TRUE) or not (FALSE)

Model.selection = FALSE,
SNP.MAF = 0.05,
PCA.total = 2

)
#


